For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve tags for a Meeting
      • POSTReplace Meeting Tags
      • PUTAdd tags to Meeting
      • DELRemove tags from Meeting
LogoLogo
SupportContact salesStart free trial
API ReferenceMeeting Tag

Replace Meeting Tags

POST
https://api.projectmanager.com/api/data/meetings/:meetingId/tags
POST
/api/data/meetings/:meetingId/tags
$curl -X POST https://api.projectmanager.com/api/data/meetings/meetingId/tags \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "name": "string"
> }
>]'
200Successful
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": [
14 {
15 "id": "string",
16 "name": "string",
17 "color": "string"
18 }
19 ]
20}
Replaces the existing tags on a Meeting with a newly provided list. A tag is a connection between a Meeting and a Tag. Each Meeting can have zero, one or many tags.
Was this page helpful?
Previous

Add tags to Meeting

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

meetingIdstringRequiredformat: "uuid"
The unique identifier of the Meeting

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

The replacement list of tags for this Meeting
namestringRequired>=1 character
A name. To determine the meaning of this name, see the field to which this value is attached in the parent object.

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.